.h-rssb {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: stretch;
}
:root {
  --active-color: #2a6fdb;
  --w-padding: 60px;
}
.imgFull {
  display: block;
  overflow: hidden;
  font-size: 0;
}
.imgFull img,
.imgFull video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.h-t-lines {
  --lines: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: var(--lines);
  -webkit-box-orient: vertical;
}
.h-t-lines.lines2 {
  --lines: 2;
}
.h-t-lines.lines3 {
  --lines: 3;
}
.h-t-lines.lines4 {
  --lines: 4;
}
.h-t-lines.lines5 {
  --lines: 5;
}
.h-t-lines.lines6 {
  --lines: 6;
}
.h-t-lines.lines7 {
  --lines: 7;
}
.h-t-lines.lines8 {
  --lines: 8;
}
.h-t-lines.lines9 {
  --lines: 9;
}
.h-t-lines.lines10 {
  --lines: 10;
}
.newsList .item {
  padding: 27px 40px;
  margin-top: 32px;
  gap: 45px;
  border: 1px solid #eaeaea;
  border-radius: 12px 12px 12px 12px;
}
.newsList .item .text {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.newsList .item .text .name {
  margin-top: 17px;
  font-size: 18px;
  color: #333333;
}
.newsList .item .text .date {
  font-size: 15px;
  color: #888888;
  margin-top: 16px;
  background-image: url(../images/time.png);
  background-repeat: no-repeat;
  background-size: contain;
  padding-left: 30px;
}
.newsList .item .text .date.hide {
  display: none;
}
.newsList .item .text .desc {
  margin-top: 16px;
  font-size: 16px;
  color: #666;
  line-height: calc(24/16);
}
.newsList .item .text .more {
  margin-bottom: 30px;
  font-size: 16px;
  color: #666;
}
.newsList .item .text .more img {
  width: 24px;
  margin-left: 8px;
}
.newsList .item .img {
  width: 412px;
  aspect-ratio: 412/244;
  border-radius: 8px;
}
.newsList .item .date {
  color: #333333;
}
.newsList .item .date .md {
  font-size: 40px;
}
.newsList .item .date .y {
  font-size: 20px;
}
.newsList .item:hover{
     border-color: var(--active-color);
}
.newsList .item:hover .date .md,
.newsList .item:hover .date .y {
  color: var(--active-color);
}
.newsList .item:hover .img img {
  animation: shake 1s linear infinite;
}
.newsList .item:hover .text .name {
  color: var(--active-color);
}
@keyframes shake {
  50% {
    transform: scale(1.1);
  }
}
@media screen and (max-width: 1024px) {
  .newsList .item {
    padding: calc(var(--w-padding) / 2);
    gap: calc(var(--w-padding) / 2);
    align-items: center;
    margin-top: calc(var(--w-padding) / 2);
  }
  .newsList .item .text .more,
  .newsList .item > .date {
    display: none;
  }
  .newsList .item .text .info .date.hide {
    display: block;
  }
  .newsList .item .text .info .desc {
    --lines: 3;
  }
  .newsList .item .text .info .name {
    margin: 0;
  }
  .newsList .item .img {
    width: 260px;
  }
}
@media screen and (max-width: 480px) {
  :root {
    --w-padding: 30px;
  }
  .newsList .item {
    flex-direction: column-reverse;
  }
  .newsList .item .img {
    width: 100%;
  }
  .newsList .item .text .info .name {
    font-size: 16px;
  }
  .newsList .item .text .info .date {
    margin-top: 10px;
  }
  .newsList .item .text .info .desc {
    font-size: 14px;
    margin-top: 10px;
  }
}
